### Signal

# EDataServer SourceRegistry::source-removed

#### Declaration

    void
    source_removed (
      ESourceRegistry* self,
      ESource* source,
      gpointer user_data
    )

#### Description [src]

Emitted when an `ESource` is removed from `registry`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`source`

  Type: `ESource`

  The `ESource` that got removed.

  The data is owned by the caller of the function.